# 沙鲁大屏设计器
技术方案：Vue 3 + TypeScript + Vite + ant-design-vue
包管理器：pnpm

安装：pnpm install
运行：pnpm dev

### 任务列表:
1. 大屏管理页--完成
2. 页面布局
  - a. 操作栏 -- 完成
  - b. 图层管理 -- 完成
  - c. 组件管理 -- 完成
  - d. 画布 -- 完成
  - e. 配置页
3. 通用协议
4. 画布
  - a. 缩放 -- 完成
  - b. 标尺 -- 完成
  - c. 拖拽 -- 完成
  - d. 吸附
  - e. 辅助线 -- 完成
  - f. 控制容器组件 -- 完成
5. 渲染器
6. 属性面板
7. 组件属性渲染表单
8. 预览页
9. 快捷键
10. 操作记录



### 图表组件开发思路
- 图表的option参数归一，提供统一的配置，便于后期做主题配置。
- 不同的图表提供可以配置的参数，后期通过归一化处理
- 组件配置：组件内容、组件样式
-- 组件样式为容器样式，包括：组件属性(如宽高、xy坐标、整体透明度等)、样式属性(如背景、边框、阴影等)
-- 组件内容为每个组件单独提供的配置组件，通常为数据源，数据样式等