export interface IFormItem {
  label: string;
  icon?: string;
  prop: string;
  type:
    | "input"
    | "select"
    | "inputnumber"
    | "image"
    | "checkbox"
    | "radioGroup"
    | "backgroundSelect" // 背景选择
    | "boderSelect" // 边框选择
    | "boderRadiusSelect" // 边框圆角选择
    | "shodowSelect" // 阴影选择
    | "paddingSelect" // 内边距选择
    | "rotateSelect" // 旋转选择
    | "opacitySelect" // 透明度选择
    | "colorSelect" // 颜色选择
  options?: any[];
  prefix?: string;
  suffix?: string;
  rules?: any[];
  defaultValue?: any;
}