import { DataSourceType } from "@/enum/index";

// chart数据源
export interface DataSource {
  // 类型
  sourceType: DataSourceType.STATIC,
  // 数据
  data?: any[],
  // 接口相关
  url?: string,
  // 请求方式
  method?: 'GET' | 'POST',
  // 请求参数
  params?: any,
  // 请求头
  headers?: Record<string, any>,
  refreshTime?: number,
  // 数据处理
  dataProcess: () => any[],
}